#include "stm32f10x.h"
#include "sys.c"
#include "io.c"
#include "i3202lcd.c"
#include "tsc2003.c"
#include "ASCII2.fnt"
#include "hg2.fnt"
#include "graphic.c"
#include "drawtext.c"


void lcd_clear(void)
{                  
  unsigned int n,m;
  
  LcdSetWindow(0,0,320,240);
  LcdDataStart();
  for(n=0;n<320;n++)
   {  for(m=0;m<240;m++) { LcdDataWrite(0xffff); }
   }
  LcdDataEnd();
}

int main(void)
{
  unsigned char buf[100];
  
  gpio_init();
  rcc_init();  
  uart_init1();

  mdelay(1000);  // wait for flash loader communication...
  put_string1("\n Touch Test.");

  LcdInit(); 
  LcdBl_H;  // LCD Back Light On..
  
  LcdSetDirection(90);
  lcd_clear();
  

  while(1)
   {
     sprintf(buf,"PENIRQ:%d X:%02x Y:%02x Z1:%02x Z2:%02x",PenIrq,TscXPos(), TscYPos(),TscZ1Pos(),TscZ2Pos());
     LcdAsciiString(30,116,buf,0x0000,0xffff);
   }
}
                                                                                           


